%define upstream_name    MooseX-Types-Structured
%define upstream_version 0.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Structured type constraints
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   perl(MooseX::Meta::TypeCoercion::Structured)
Provides:   perl(MooseX::Meta::TypeConstraint::Structured)

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DateTime)
BuildRequires: perl(Devel::PartialDump) >= 0.130.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose) >= 1.80.0
BuildRequires: perl(Moose::Meta::TypeCoercion)
BuildRequires: perl(Moose::Meta::TypeConstraint)
BuildRequires: perl(Moose::Meta::TypeConstraint::Parameterizable)
BuildRequires: perl(Moose::Util::TypeConstraints) >= 1.60.0
BuildRequires: perl(MooseX::Types) >= 0.220.0
BuildRequires: perl(MooseX::Types::DateTime)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter) >= 0.982.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
A structured type constraint is a standard container the Moose manpage type
constraint, such as an ArrayRef or HashRef, which has been enhanced to
allow you to explicitly name all the allowed type constraints inside the
structure. The generalized form is:

    TypeConstraint[@TypeParameters or %%TypeParameters]

Where 'TypeParameters' is an array or hash of the
Moose::Meta::TypeConstraint manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/MooseX


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.280.0-3.mga4
+ Revision: 513246
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.280.0-2.mga3
+ Revision: 370370
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 13 2011 jquelin <jquelin> 0.280.0-1.mga2
+ Revision: 154550
- fix %%description
- update to 0.28

* Wed Jun 15 2011 jquelin <jquelin> 0.270.0-1.mga2
+ Revision: 107197
- update to 0.27

* Tue Jan 25 2011 jquelin <jquelin> 0.260.0-1.mga1
+ Revision: 38663
- mageia rebuild
- imported package perl-MooseX-Types-Structured


* Tue Jan 04 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.260.0-1mdv2011.0
+ Revision: 628582
- update to new version 0.26

* Wed Dec 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.250.0-1mdv2011.0
+ Revision: 625968
- update to new version 0.25

* Wed Nov 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.240.0-1mdv2011.0
+ Revision: 598317
- update to new version 0.24

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.230.0-1mdv2011.0
+ Revision: 552722
- update to 0.23

* Sat Mar 27 2010 Jérôme Quelin <jquelin@mandriva.org> 0.210.0-2mdv2010.1
+ Revision: 528112
- rebuild
- update to 0.21

* Fri Feb 05 2010 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-1mdv2010.1
+ Revision: 501147
- update to 0.20

* Sun Nov 08 2009 Jérôme Quelin <jquelin@mandriva.org> 0.190.0-1mdv2010.1
+ Revision: 463041
- update to 0.19

* Thu Aug 20 2009 Jérôme Quelin <jquelin@mandriva.org> 0.180.0-1mdv2010.0
+ Revision: 418402
- update to 0.18

* Sun Aug 16 2009 Jérôme Quelin <jquelin@mandriva.org> 0.170.0-1mdv2010.0
+ Revision: 416977
- update to 0.17

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2010.0
+ Revision: 405948
- rebuild using %%perl_convert_version

* Mon Jun 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2010.0
+ Revision: 384028
- update to new version 0.16

* Mon May 11 2009 Jérôme Quelin <jquelin@mandriva.org> 0.14-1mdv2010.0
+ Revision: 374544
- update to new version 0.14

* Wed Mar 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2009.1
+ Revision: 353675
- update to new version 0.09

* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-3mdv2009.1
+ Revision: 343945
- fix dependencies again

* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-2mdv2009.1
+ Revision: 343939
- fix dependencies

* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2009.1
+ Revision: 343851
- import perl-MooseX-Types-Structured


* Sun Feb 22 2009 cpan2dist 0.07-1mdv
- initial mdv release, generated with cpan2dist

